Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Auswahlsatz für Objektwahl speichern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Auswahlsatz für Objektwahl speichern (1031 mal gelesen)
woppi
Mitglied
cnc-programmierung


Sehen Sie sich das Profil von woppi an!   Senden Sie eine Private Message an woppi  Schreiben Sie einen Gästebucheintrag für woppi

Beiträge: 34
Registriert: 16.01.2009

erstellt am: 16. Jan. 2009 08:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
hat einer eine Idee wie mann mit ssget gespeicherte Auswahlsätze übernehmen kann, wenn man von einem ACAD-Befehl zur Objektauswahl aufgefordert wird?

Ich will so auf mehrere Auswahlsätze zugreifen können und nicht immer nur mit "l" und "v" arbeiten, weil die sich die zu schnell ändern.

Nebenbei währe toll wenn mir einer erklären könnte wie ich mehrer Auswahlsätze in Lisp zu einem zusammen fassen kann.

So funktionniert es jedenfalls nicht.

(defun c:Aw2() ;Auswahlsatz erweitern
  (setq  aws2 (ssget)
          aws1 (+ aws1 aws2))
  (princ)
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13322
Registriert: 30.11.2003

.

erstellt am: 16. Jan. 2009 08:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für woppi 10 Unities + Antwort hilfreich

ein paar Codezeilen zum ausprobieren (einzeln der Reihe nach) :

(setq a(ssget))
---
(sssetfirst a a)
---
(sssetfirst nil nil)
---
(setq B(ssget))
---
(sssetfirst b b)
---
(sssetfirst nil nil)
---
(if (and A B)
  (progn
    (setq C (ssadd))
    (setq I -1)
    (repeat (sslength A)
      (ssadd (ssname A (setq I(1+ I))) C)
    )
    (setq I -1)
    (repeat (sslength B)
      (ssadd (ssname B (setq I(1+ I))) C)
    )
  )
)
---
(sssetfirst C C)


daraus kann man sich dann entsprechene Funktionen basteln, die dann Auswahlsätze Addieren, abziehen usw.


und für die Übergabe an ACAD-Befehle geht Variablenaufruf mit vorangestelltem ! z.B. so :

Befehl: KOPIEREN

Objekte wählen: !a
<Selection set: 61a>
4 gefunden

Objekte wählen:

Aktuelle Einstellungen:  Kopiermodus = Einzeln

Basispunkt angeben oder [Verschiebung/mOdus/Mehrfach] <Verschiebung>: Zweiten
Punkt angeben oder <ersten Punkt der Verschiebung verwenden>:


------------------
      - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 16. Jan. 2009 08:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für woppi 10 Unities + Antwort hilfreich

Da gibts mehrere Möglichkeiten ..

eine davon:
(command "_select" aws1 aws2 "")
(setq aws3 (ssget "_P")

------------------
Schöne Grüße
Ernst

www.geopaint.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

woppi
Mitglied
cnc-programmierung


Sehen Sie sich das Profil von woppi an!   Senden Sie eine Private Message an woppi  Schreiben Sie einen Gästebucheintrag für woppi

Beiträge: 34
Registriert: 16.01.2009

erstellt am: 16. Jan. 2009 09:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Genial! Vielen Dank an Euch!!
Das mit dem "!" klappt wunderbar, und auch das addieren der Auswahlsätze. Die anderden Codezeilen werde ich nach und nach ausprobieren.

Vielen dank nochmal für die Schnellen antworten!!!

PS: Habe leider keine Ahnung wie das mit den Unities funktioniert, bin ja noch neu. Werde mich schlau machen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Projektingenieur (m/w)
Stellenanzeige_Linamar Linamar Valvetrain GmbH Linamar ist ein kanadisches weltweit operierendes Unternehmen mit 59 Werken und ca. 24.500 Mitarbeitern. Wir liefern Produkte für die Antriebe von Fahrzeugen und Industrieanwendungen. Zum nächstmöglichen Zeitpunkt suchen wir am Standort Thale einen Projektingenieur (m/w) Qualifikation: ...
Anzeige ansehenProjektmanagement
wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 19. Jan. 2009 09:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für woppi 10 Unities + Antwort hilfreich

Hi,

Zitat:
Nebenbei währe toll wenn mir einer erklären könnte wie ich mehrer Auswahlsätze in Lisp zu einem zusammen fassen kann
ich hatte HIER mal die Funktion SSMERGE gepostet. Die macht sowas.

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de